Loading...
Searching...
No Matches
BALL::PartialChargeBase Class Reference

`#include <BALL/QSAR/partialChargeBase.h>`

Inheritance diagram for BALL::PartialChargeBase:

## Public Member Functions

Constructors and Destructors
| PartialChargeBase ()
| PartialChargeBase (const PartialChargeBase &pcb)
| PartialChargeBase (const String &name)
| PartialChargeBase (const String &name, const String &unit)
virtual | ~PartialChargeBase ()
Assignment
PartialChargeBase & | operator= (const PartialChargeBase &pcb)
Public Member Functions inherited from BALL::Descriptor
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Descriptor & | operator= (const Descriptor &descriptor)
Processor::Result | operator() (AtomContainer &ac)
const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
virtual double | compute (AtomContainer &ac)
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Protected Member Functions

Predicates
bool | isValid_ (AtomContainer &ac)

## Accessors

String | data_folder_
void | computeAllDescriptors (AtomContainer &ac)
void | setDataFolder (const char *folder)
void | calculate_ (AtomContainer &ac)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Generic QSAR molecular partial charge descriptor class \

Definition at line 18 of file partialChargeBase.h.

## Constructor & Destructor Documentation

## PartialChargeBase() [1/4]

BALL::PartialChargeBase::PartialChargeBase | ( |  | ) |

Default constructor

## PartialChargeBase() [2/4]

BALL::PartialChargeBase::PartialChargeBase | ( | const PartialChargeBase & | pcb | ) |

Copy constructor

## PartialChargeBase() [3/4]

BALL::PartialChargeBase::PartialChargeBase | ( | const String & | name | ) |

Named constructor

## PartialChargeBase() [4/4]

BALL::PartialChargeBase::PartialChargeBase | ( | const String & | name,
|  | const String & | unit )

Named unity constructor

## ~PartialChargeBase()

virtual BALL::PartialChargeBase::~PartialChargeBase | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## calculate_()

void BALL::PartialChargeBase::calculate_ | ( | AtomContainer & | ac | ) |

protected virtual

Reimplemented from BALL::Descriptor.

## computeAllDescriptors()

void BALL::PartialChargeBase::computeAllDescriptors | ( | AtomContainer & | ac | ) |

## isValid_()

bool BALL::PartialChargeBase::isValid_ | ( | AtomContainer & | ac | ) |

protected virtual

Reimplemented from BALL::Descriptor.

## operator=()

PartialChargeBase & BALL::PartialChargeBase::operator= | ( | const PartialChargeBase & | pcb | ) |

Assignment Operator

## setDataFolder()

void BALL::PartialChargeBase::setDataFolder | ( | const char * | folder | ) |

## Member Data Documentation

## data_folder_

String BALL::PartialChargeBase::data_folder_

protected

Definition at line 79 of file partialChargeBase.h.